diff --git a/web/regression/javascript/selection/copy_data_spec.js b/web/regression/javascript/selection/copy_data_spec.js
index 561576ce..2d6b6ad2 100644
--- a/web/regression/javascript/selection/copy_data_spec.js
+++ b/web/regression/javascript/selection/copy_data_spec.js
@@ -1,139 +1,142 @@
-/////////////////////////////////////////////////////////////
+//////////////////////////////////////////////////////////////////////////
 //
 // pgAdmin 4 - PostgreSQL Tools
 //
 // Copyright (C) 2013 - 2017, The pgAdmin Development Team
 // This software is released under the PostgreSQL Licence
 //
-//////////////////////////////////////////////////////////////
-
-define(
-  ["jquery",
-    "slickgrid/slick.grid",
-    "sources/selection/xcell_selection_model",
-    "sources/selection/copy_data",
-    "sources/selection/clipboard",
-    "sources/selection/range_selection_helper"
-  ],
-  function ($, SlickGrid, XCellSelectionModel, copyData, clipboard, RangeSelectionHelper) {
-    describe('copyData', function () {
-      var grid, sqlEditor, gridContainer, buttonPasteRow;
-
-      beforeEach(function () {
-        var data = [[1, "leopord", "12"],
-          [2, "lion", "13"],
-          [3, "puma", "9"]];
-
-        var columns = [
-          {
-            id: 'row-header-column',
-            name: 'row header column name',
-            selectable: false,
-            display_name: 'row header column name',
-            column_type: 'text'
-          },
-          {
-            name: "id",
-            pos: 0,
-            label: "id<br> numeric",
-            cell: "number",
-            can_edit: false,
-            type: "numeric"
-          }, {
-            name: "brand",
-            pos: 1,
-            label: "flavor<br> character varying",
-            cell: "string",
-            can_edit: false,
-            type: "character varying"
-          }, {
-            name: "size",
-            pos: 2,
-            label: "size<br> numeric",
-            cell: "number",
-            can_edit: false,
-            type: "numeric"
-          }
-          ]
-        ;
-        gridContainer = $("<div id='grid'></div>");
-        $("body").append(gridContainer);
-        buttonPasteRow = $("<button id='btn-paste-row' disabled></button>");
-        $("body").append(buttonPasteRow);
-        grid = new Slick.Grid("#grid", data, columns, {});
-        grid.setSelectionModel(new XCellSelectionModel());
-        sqlEditor = {slickgrid: grid};
-      });
+//////////////////////////////////////////////////////////////////////////
+
+import $ from 'jquery';
+
+import Slick from 'slickgrid';
+import 'slickgrid.grid';
+
+import clipboard from '../../../pgadmin/static/js/selection/clipboard';
+import copyData from '../../../pgadmin/static/js/selection/copy_data';
+import RangeSelectionHelper from 'sources/selection/range_selection_helper';
+import XCellSelectionModel from 'sources/selection/xcell_selection_model';
+
+describe('copyData', function () {
+  var grid, sqlEditor, gridContainer, buttonPasteRow;
+  var Slick, SlickGrid;
+
+  beforeEach(function () {
+    Slick = window.Slick;
+    SlickGrid = Slick.Grid;
+    var data = [[1, 'leopord', '12'],
+      [2, 'lion', '13'],
+      [3, 'puma', '9']];
+
+    var columns = [
+        {
+          id: 'row-header-column',
+          name: 'row header column name',
+          selectable: false,
+          display_name: 'row header column name',
+          column_type: 'text'
+        },
+        {
+          name: 'id',
+          pos: 0,
+          label: 'id<br> numeric',
+          cell: 'number',
+          can_edit: false,
+          type: 'numeric'
+        }, {
+          name: 'brand',
+          pos: 1,
+          label: 'flavor<br> character varying',
+          cell: 'string',
+          can_edit: false,
+          type: 'character varying'
+        }, {
+          name: 'size',
+          pos: 2,
+          label: 'size<br> numeric',
+          cell: 'number',
+          can_edit: false,
+          type: 'numeric'
+        }
+      ]
+    ;
+    gridContainer = $('<div id=\'grid\'></div>');
+    $('body').append(gridContainer);
+    buttonPasteRow = $('<button id=\'btn-paste-row\' disabled></button>');
+    $('body').append(buttonPasteRow);
+    grid = new Slick.Grid('#grid', data, columns, {});
+    grid.setSelectionModel(new XCellSelectionModel());
+    sqlEditor = {slickgrid: grid};
+  });
 
-      afterEach(function() {
-        gridContainer.remove();
-        buttonPasteRow.remove();
-      });
+  afterEach(function () {
+    gridContainer.remove();
+    buttonPasteRow.remove();
+  });
 
-      describe("when rows are selected", function () {
-        beforeEach(function () {
-          grid.getSelectionModel().setSelectedRanges([
-            RangeSelectionHelper.rangeForRow(grid, 0),
-            RangeSelectionHelper.rangeForRow(grid, 2)]
-          );
-        });
+  describe('when rows are selected', function () {
+    beforeEach(function () {
+      grid.getSelectionModel().setSelectedRanges([
+        RangeSelectionHelper.rangeForRow(grid, 0),
+        RangeSelectionHelper.rangeForRow(grid, 2)]
+      );
+    });
 
-        it("copies them", function () {
-          spyOn(clipboard, 'copyTextToClipboard');
+    it('copies them', function () {
+      spyOn(clipboard, 'copyTextToClipboard');
 
-          copyData.apply(sqlEditor);
+      copyData.apply(sqlEditor);
 
-          expect(sqlEditor.copied_rows.length).toBe(2);
+      expect(sqlEditor.copied_rows.length).toBe(2);
 
-          expect(clipboard.copyTextToClipboard).toHaveBeenCalled();
-          expect(clipboard.copyTextToClipboard.calls.mostRecent().args[0]).toContain("1,'leopord','12'");
-          expect(clipboard.copyTextToClipboard.calls.mostRecent().args[0]).toContain("3,'puma','9'");
-        });
+      expect(clipboard.copyTextToClipboard).toHaveBeenCalled();
+      expect(clipboard.copyTextToClipboard.calls.mostRecent().args[0]).toContain('1,\'leopord\',\'12\'');
+      expect(clipboard.copyTextToClipboard.calls.mostRecent().args[0]).toContain('3,\'puma\',\'9\'');
+    });
 
-        describe("when the user can edit the grid", function () {
-          it("enables the paste row button", function () {
-            copyData.apply(_.extend({can_edit: true}, sqlEditor));
+    describe('when the user can edit the grid', function () {
+      it('enables the paste row button', function () {
+        copyData.apply(_.extend({can_edit: true}, sqlEditor));
 
-            expect($("#btn-paste-row").prop('disabled')).toBe(false);
-          });
-        });
+        expect($('#btn-paste-row').prop('disabled')).toBe(false);
       });
+    });
+  });
 
-      describe("when a column is selected", function () {
-        beforeEach(function () {
-          var firstDataColumn = RangeSelectionHelper.rangeForColumn(grid, 1);
-          grid.getSelectionModel().setSelectedRanges([firstDataColumn])
-        });
+  describe('when a column is selected', function () {
+    beforeEach(function () {
+      var firstDataColumn = RangeSelectionHelper.rangeForColumn(grid, 1);
+      grid.getSelectionModel().setSelectedRanges([firstDataColumn]);
+    });
 
-        it("copies text to the clipboard", function () {
-          spyOn(clipboard, 'copyTextToClipboard');
+    it('copies text to the clipboard', function () {
+      spyOn(clipboard, 'copyTextToClipboard');
 
-          copyData.apply(sqlEditor);
+      copyData.apply(sqlEditor);
 
-          expect(clipboard.copyTextToClipboard).toHaveBeenCalled();
+      expect(clipboard.copyTextToClipboard).toHaveBeenCalled();
 
-          var copyArg = clipboard.copyTextToClipboard.calls.mostRecent().args[0];
-          var rowStrings = copyArg.split('\n');
-          expect(rowStrings[0]).toBe("1");
-          expect(rowStrings[1]).toBe("2");
-          expect(rowStrings[2]).toBe("3");
-        });
+      var copyArg = clipboard.copyTextToClipboard.calls.mostRecent().args[0];
+      var rowStrings = copyArg.split('\n');
+      expect(rowStrings[0]).toBe('1');
+      expect(rowStrings[1]).toBe('2');
+      expect(rowStrings[2]).toBe('3');
+    });
 
-        it("sets copied_rows to empty", function () {
-          copyData.apply(sqlEditor);
+    it('sets copied_rows to empty', function () {
+      copyData.apply(sqlEditor);
 
-          expect(sqlEditor.copied_rows.length).toBe(0);
-        });
+      expect(sqlEditor.copied_rows.length).toBe(0);
+    });
 
-        describe("when the user can edit the grid", function () {
-          beforeEach(function () {
-            copyData.apply(_.extend({can_edit: true}, sqlEditor));
-          });
+    describe('when the user can edit the grid', function () {
+      beforeEach(function () {
+        copyData.apply(_.extend({can_edit: true}, sqlEditor));
+      });
 
-          it("disables the paste row button", function () {
-            expect($("#btn-paste-row").prop('disabled')).toBe(true);
-          });
-        });
+      it('disables the paste row button', function () {
+        expect($('#btn-paste-row').prop('disabled')).toBe(true);
       });
     });
   });
+});
diff --git a/web/regression/javascript/selection/grid_selector_spec.js b/web/regression/javascript/selection/grid_selector_spec.js
index d79d417f..f7b39ee8 100644
--- a/web/regression/javascript/selection/grid_selector_spec.js
+++ b/web/regression/javascript/selection/grid_selector_spec.js
@@ -1,117 +1,130 @@
-define(["jquery",
-    "underscore",
-    "slickgrid/slick.grid",
-    "sources/selection/xcell_selection_model",
-    "sources/selection/grid_selector"
-  ],
-  function ($, _, SlickGrid, XCellSelectionModel, GridSelector) {
-    describe("GridSelector", function () {
-      var container, data, columns, gridSelector, xCellSelectionModel;
-
-      beforeEach(function () {
-        container = $("<div></div>");
-        container.height(9999);
-        columns = [{
-          id: '1',
-          name: 'some-column-name',
-          pos: 0
-        }, {
-          id: '2',
-          name: 'second column',
-          pos: 1
-        }];
-
-        gridSelector = new GridSelector();
-        columns = gridSelector.getColumnDefinitions(columns);
-
-        data = [];
-        for (var i = 0; i < 10; i++) {
-          data.push({'some-column-name': 'some-value-' + i, 'second column': 'second value ' + i});
-        }
-        var grid = new SlickGrid(container, data, columns);
-
-        xCellSelectionModel = new XCellSelectionModel();
-        grid.setSelectionModel(xCellSelectionModel);
-
-        grid.registerPlugin(gridSelector);
-        grid.invalidate();
-
-        $("body").append(container);
-      });
-
-      afterEach(function () {
-        $("body").find(container).remove();
-      });
+//////////////////////////////////////////////////////////////////////////
+//
+// pgAdmin 4 - PostgreSQL Tools
+//
+// Copyright (C) 2013 - 2017, The pgAdmin Development Team
+// This software is released under the PostgreSQL Licence
+//
+//////////////////////////////////////////////////////////////////////////
+
+import $ from 'jquery';
+import _ from 'underscore';
+
+import Slick from 'slickgrid';
+import 'slickgrid.grid';
+
+import GridSelector from 'sources/selection/grid_selector';
+import XCellSelectionModel from 'sources/selection/xcell_selection_model';
+
+describe('GridSelector', function () {
+  var container, data, columns, gridSelector, xCellSelectionModel;
+  var Slick, SlickGrid;
+
+  beforeEach(function () {
+    Slick = window.Slick;
+    SlickGrid = Slick.Grid;
+    container = $('<div></div>');
+    container.height(9999);
+    columns = [{
+      id: '1',
+      name: 'some-column-name',
+      pos: 0
+    }, {
+      id: '2',
+      name: 'second column',
+      pos: 1
+    }];
+
+    gridSelector = new GridSelector();
+    columns = gridSelector.getColumnDefinitions(columns);
+
+    data = [];
+    for (var i = 0; i < 10; i++) {
+      data.push({'some-column-name': 'some-value-' + i, 'second column': 'second value ' + i});
+    }
+    var grid = new Slick.Grid(container, data, columns);
+
+    xCellSelectionModel = new XCellSelectionModel();
+    grid.setSelectionModel(xCellSelectionModel);
+
+    grid.registerPlugin(gridSelector);
+    grid.invalidate();
+
+    $('body').append(container);
+  });
 
-      it("renders an additional column on the left for selecting rows", function () {
-        expect(columns.length).toBe(3);
+  afterEach(function () {
+    $('body').find(container).remove();
+  });
 
-        var leftmostColumn = columns[0];
-        expect(leftmostColumn.id).toBe('row-header-column');
-      });
+  it('renders an additional column on the left for selecting rows', function () {
+    expect(columns.length).toBe(3);
 
-      it("renders a button for selecting all the cells", function () {
-        expect(container.find("[title='Select/Deselect All']").length).toBe(1);
-      });
+    var leftmostColumn = columns[0];
+    expect(leftmostColumn.id).toBe('row-header-column');
+  });
 
-      describe("when the cell for the select/deselect all is clicked", function () {
-        it("selects the whole grid", function () {
-          container.find("[title='Select/Deselect All']").parent().click();
+  it('renders a button for selecting all the cells', function () {
+    expect(container.find('[title=\'Select/Deselect All\']').length).toBe(1);
+  });
 
-          var selectedRanges = xCellSelectionModel.getSelectedRanges();
-          expect(selectedRanges.length).toBe(1);
-          var selectedRange = selectedRanges[0];
-          expect(selectedRange.fromCell).toBe(1);
-          expect(selectedRange.toCell).toBe(2);
-          expect(selectedRange.fromRow).toBe(0);
-          expect(selectedRange.toRow).toBe(9);
-        });
+  describe('when the cell for the select/deselect all is clicked', function () {
+    it('selects the whole grid', function () {
+      container.find('[title=\'Select/Deselect All\']').parent().click();
+
+      var selectedRanges = xCellSelectionModel.getSelectedRanges();
+      expect(selectedRanges.length).toBe(1);
+      var selectedRange = selectedRanges[0];
+      expect(selectedRange.fromCell).toBe(1);
+      expect(selectedRange.toCell).toBe(2);
+      expect(selectedRange.fromRow).toBe(0);
+      expect(selectedRange.toRow).toBe(9);
+    });
 
-        it("adds selected class", function () {
-          container.find("[title='Select/Deselect All']").parent().click();
+    it('adds selected class', function () {
+      container.find('[title=\'Select/Deselect All\']').parent().click();
 
-          expect($(container.find("[data-id='select-all']")).hasClass('selected')).toBeTruthy();
-        });
-      });
+      expect($(container.find('[data-id=\'select-all\']')).hasClass('selected')).toBeTruthy();
+    });
+  });
 
-      describe("when the select all button in the corner gets selected", function () {
+  describe('when the select all button in the corner gets selected', function () {
 
-        it("selects all the cells", function () {
-          container.find("[title='Select/Deselect All']").click();
+    it('selects all the cells', function () {
+      container.find('[title=\'Select/Deselect All\']').click();
 
-          var selectedRanges = xCellSelectionModel.getSelectedRanges();
-          expect(selectedRanges.length).toBe(1);
-          var selectedRange = selectedRanges[0];
-          expect(selectedRange.fromCell).toBe(1);
-          expect(selectedRange.toCell).toBe(2);
-          expect(selectedRange.fromRow).toBe(0);
-          expect(selectedRange.toRow).toBe(9);
-        });
+      var selectedRanges = xCellSelectionModel.getSelectedRanges();
+      expect(selectedRanges.length).toBe(1);
+      var selectedRange = selectedRanges[0];
+      expect(selectedRange.fromCell).toBe(1);
+      expect(selectedRange.toCell).toBe(2);
+      expect(selectedRange.fromRow).toBe(0);
+      expect(selectedRange.toRow).toBe(9);
+    });
 
-        describe("when the select all button in the corner gets deselected", function () {
-          beforeEach(function () {
-            container.find("[title='Select/Deselect All']").click();
-          });
+    describe('when the select all button in the corner gets deselected', function () {
+      beforeEach(function () {
+        container.find('[title=\'Select/Deselect All\']').click();
+      });
 
-          it("deselects all the cells", function () {
-            container.find("[title='Select/Deselect All']").click();
+      it('deselects all the cells', function () {
+        container.find('[title=\'Select/Deselect All\']').click();
 
-            var selectedRanges = xCellSelectionModel.getSelectedRanges();
-            expect(selectedRanges.length).toBe(0);
-          });
-        });
+        var selectedRanges = xCellSelectionModel.getSelectedRanges();
+        expect(selectedRanges.length).toBe(0);
+      });
+    });
 
-        describe("and then the underlying selection changes", function () {
-          beforeEach(function () {
-            container.find("[title='Select/Deselect All']").click();
-          });
+    describe('and then the underlying selection changes', function () {
+      beforeEach(function () {
+        container.find('[title=\'Select/Deselect All\']').click();
+      });
 
-          it("removes the selected class", function () {
-            container.find("[title='Select/Deselect All']").parent().click();
+      it('removes the selected class', function () {
+        container.find('[title=\'Select/Deselect All\']').parent().click();
 
-            expect($(container.find("[data-id='select-all']")).hasClass('selected')).toBeFalsy();
-          });
-        });
+        expect($(container.find('[data-id=\'select-all\']')).hasClass('selected')).toBeFalsy();
       });
     });
   });
+});
diff --git a/web/regression/javascript/selection/range_boundary_navigator_spec.js b/web/regression/javascript/selection/range_boundary_navigator_spec.js
index b1ca45eb..b57087f3 100644
--- a/web/regression/javascript/selection/range_boundary_navigator_spec.js
+++ b/web/regression/javascript/selection/range_boundary_navigator_spec.js
@@ -1,8 +1,20 @@
-define(['sources/selection/range_boundary_navigator'], function (rangeBoundaryNavigator) {
-
-  describe("#getUnion", function () {
-    describe("when the ranges completely overlap", function () {
-      it("returns a list with that range", function () {
+//////////////////////////////////////////////////////////////////////////
+//
+// pgAdmin 4 - PostgreSQL Tools
+//
+// Copyright (C) 2013 - 2017, The pgAdmin Development Team
+// This software is released under the PostgreSQL Licence
+//
+//////////////////////////////////////////////////////////////////////////
+
+import rangeBoundaryNavigator from 'sources/selection/range_boundary_navigator';
+import Slick from 'slickgrid';
+
+describe('RangeBoundaryNavigator', function () {
+
+  describe('#getUnion', function () {
+    describe('when the ranges completely overlap', function () {
+      it('returns a list with that range', function () {
         var ranges = [[1, 4], [1, 4], [1, 4]];
 
         var union = rangeBoundaryNavigator.getUnion(ranges);
diff --git a/web/regression/javascript/selection/range_selection_helper_spec.js b/web/regression/javascript/selection/range_selection_helper_spec.js
index cc81189b..63c07259 100644
--- a/web/regression/javascript/selection/range_selection_helper_spec.js
+++ b/web/regression/javascript/selection/range_selection_helper_spec.js
@@ -1,70 +1,82 @@
-define([
-  'jquery',
-  'slickgrid/slick.grid',
-  'sources/selection/range_selection_helper'
-], function ($, SlickGrid, RangeSelectionHelper) {
-  describe("RangeSelectionHelper utility functions", function () {
-    var grid;
-    beforeEach(function () {
-      var container, data, columns, options;
-      container = $("<div></div>");
-      container.height(9999);
+import $ from 'jquery';
+import Slick from 'slickgrid';
+import 'slickgrid.grid';
+import RangeSelectionHelper from 'sources/selection/range_selection_helper';
 
-      columns = [{
-        id: '1',
-        name: 'some-column-name',
-        pos: 0
-      }, {
-        id: 'second-column-id',
-        name: 'second column',
-        pos: 1
-      }];
+describe("RangeSelectionHelper utility functions", function () {
+  var grid;
+  beforeEach(function () {
+    var container, data, columns, options;
+    container = $("<div></div>");
+    container.height(9999);
 
-      data = [];
-      for (var i = 0; i < 10; i++) {
-        data.push({'some-column-name': 'some-value-' + i, 'second column': 'second value ' + i});
-      }
+    columns = [{
+      id: '1',
+      name: 'some-column-name',
+      pos: 0
+    }, {
+      id: 'second-column-id',
+      name: 'second column',
+      pos: 1
+    }];
 
-      grid = new SlickGrid(container, data, columns, options);
-      grid.invalidate();
-    });
+    data = [];
+    for (var i = 0; i < 10; i++) {
+      data.push({'some-column-name': 'some-value-' + i, 'second column': 'second value ' + i});
+    }
+
+    grid = new Slick.Grid(container, data, columns, options);
+    grid.invalidate();
+  });
 
-    describe("#getIndexesOfCompleteRows", function () {
-      describe("when selected ranges are not rows", function () {
-        it("returns an empty array", function () {
-          var rowlessRanges = [RangeSelectionHelper.rangeForColumn(grid, 1)];
+  describe("#getIndexesOfCompleteRows", function () {
+    describe("when selected ranges are not rows", function () {
+      it("returns an empty array", function () {
+        var rowlessRanges = [RangeSelectionHelper.rangeForColumn(grid, 1)];
 
-          expect(RangeSelectionHelper.getIndexesOfCompleteRows(grid, rowlessRanges))
-            .toEqual([]);
+        expect(RangeSelectionHelper.getIndexesOfCompleteRows(grid, rowlessRanges))
+          .toEqual([]);
+      });
+    });
+    describe("when selected range", function () {
+      describe("is a single row", function () {
+        it("returns an array with one index", function () {
+          var singleRowRange = [RangeSelectionHelper.rangeForRow(grid, 1)];
+
+          expect(RangeSelectionHelper.getIndexesOfCompleteRows(grid, singleRowRange))
+            .toEqual([1]);
         });
       });
-      describe("when selected range", function () {
-        describe("is a single row", function () {
-          it("returns an array with one index", function () {
-            var singleRowRange = [RangeSelectionHelper.rangeForRow(grid, 1)];
 
-            expect(RangeSelectionHelper.getIndexesOfCompleteRows(grid, singleRowRange))
-              .toEqual([1]);
-          });
+      describe("is multiple rows", function () {
+        it("returns an array of each row's index", function () {
+          var multipleRowRange = [
+            RangeSelectionHelper.rangeForRow(grid, 0),
+            RangeSelectionHelper.rangeForRow(grid, 3),
+            RangeSelectionHelper.rangeForRow(grid, 2),
+          ];
+
+          var indexesOfCompleteRows = RangeSelectionHelper.getIndexesOfCompleteRows(grid, multipleRowRange);
+          indexesOfCompleteRows.sort();
+          expect(indexesOfCompleteRows).toEqual([0, 2, 3]);
         });
+      });
 
-        describe("is multiple rows", function () {
-          it("returns an array of each row's index", function () {
-            var multipleRowRange = [
-              RangeSelectionHelper.rangeForRow(grid, 0),
-              RangeSelectionHelper.rangeForRow(grid, 3),
-              RangeSelectionHelper.rangeForRow(grid, 2),
-            ];
+      describe("contains a multi row selection", function () {
+        it("returns an array of each individual row's index", function () {
+          var multipleRowRange = [
+            new Slick.Range(3, 0, 5, 1)
+          ];
 
-            var indexesOfCompleteRows = RangeSelectionHelper.getIndexesOfCompleteRows(grid, multipleRowRange);
-            indexesOfCompleteRows.sort();
-            expect(indexesOfCompleteRows).toEqual([0, 2, 3]);
-          });
+          var indexesOfCompleteRows = RangeSelectionHelper.getIndexesOfCompleteRows(grid, multipleRowRange);
+          indexesOfCompleteRows.sort();
+          expect(indexesOfCompleteRows).toEqual([3, 4, 5]);
         });
 
-        describe("contains a multi row selection", function () {
-          it("returns an array of each individual row's index", function () {
+        describe("and also contains a selection that is not a row", function () {
+          it("returns an array of only the complete rows' indexes", function () {
             var multipleRowRange = [
+              new Slick.Range(8, 1, 9, 1),
               new Slick.Range(3, 0, 5, 1)
             ];
 
@@ -72,22 +84,8 @@ define([
             indexesOfCompleteRows.sort();
             expect(indexesOfCompleteRows).toEqual([3, 4, 5]);
           });
-
-          describe("and also contains a selection that is not a row", function () {
-            it("returns an array of only the complete rows' indexes", function () {
-              var multipleRowRange = [
-                new Slick.Range(8, 1, 9, 1),
-                new Slick.Range(3, 0, 5, 1)
-              ];
-
-              var indexesOfCompleteRows = RangeSelectionHelper.getIndexesOfCompleteRows(grid, multipleRowRange);
-              indexesOfCompleteRows.sort();
-              expect(indexesOfCompleteRows).toEqual([3, 4, 5]);
-            });
-          });
         });
       });
     });
   });
-
 });
